<?php
namespace Magenest\Salesforce\Block\System\Config\Form\Field;

use Magenest\Salesforce\Block\Adminhtml\Connection\Status as ConnectionStatus;
use Magento\Config\Block\System\Config\Form\Field as ConfigFormField;
use Magento\Framework\Data\Form\Element\AbstractElement;

class Connection extends ConfigFormField
{
    /**
     * Create element for Access token field in store configuration
     * @param AbstractElement $element
     *
     * @return string
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    protected function _getElementHtml(AbstractElement $element)
    {
        $connectionHtml = $this->getLayout()->createBlock(ConnectionStatus::class)->toHtml();

        return $element->getElementHtml() . $connectionHtml;
    }
}
